---
title: "Change Room Archive State"
slug: "change-room-archive-state"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/change-room-archive-state"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Change Room Archive State
Post/api/v1/rooms.changeArchivationState
Archive or unarchive a room. Permissions required:
- `archive-room`: To archive a room.
- `unarchive-room`: To unarchive a room.
### Changelog
| Version | Description |
| --- | --- |
| 3.3.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"rid": "iu7jtPAhvEeAS5tNq",
"action": "archive"
}
```
object ridstring Required
The room Id.
actionstring Required
It can either be archive or otherwise unarchived.
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
400
Bad Request
Invalid Room
```json
{
"success": false,
"error": "Invalid room [error-invalid-room]",
"errorType": "error-invalid-room",
"details": {
"method": "unarchiveRoom"
}
}
```
Expand Allobject successboolean
errorstring
errorTypestring
detailsobject methodstring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring